Package org.apache.felix.http.jetty

# Interface ConnectorFactory

@ConsumerType public interface ConnectorFactory
The `ConnectorFactory` is a service interface which allows extensions to inject custom Jetty `Connector` instances to add to the Jetty server. Example connectors would be a SPDY connector or an SSL capable connector with a custom `SslContextFactory`.

`ConnectorFactory` services are responsible for creating the `Connector` instances and providing base configuration. Global configuration such as TCP/IP timeouts or buffer sizes are handled by the Jetty server launcher. Likewise the life cycle of the connectors is managed by the Jetty server and its launcher.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.jetty.server.Connector`
`createConnector(org.eclipse.jetty.server.Server server)`
Creates new Jetty `Connector` instances.

## Method Details

### createConnector

org.eclipse.jetty.server.Connector createConnector(org.eclipse.jetty.server.Server server)
Creates new Jetty `Connector` instances.

The instances must be configured. The Jetty server will additionally configure global configuration such as TCP/IP timeouts and buffer settings.

Connectors returned from this method are not started yet. Callers must add them to the Jetty server and start them.

If the `ConnectorFactory` service is stopped any connectors still active in Jetty servers must be stopped and removed from these Jetty servers.

Parameters:
  `server` - The Jetty server object
Returns:
  A configured Jetty `Connector` instance.